/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/* ***************************************************** */
/********************************************************************/
#if !defined(AFX_GLCOLORBUTTON_H__9F969679_E056_44D8_A4BA_CF6748F1F191__INCLUDED_)
#define AFX_GLCOLORBUTTON_H__9F969679_E056_44D8_A4BA_CF6748F1F191__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"
#include "mgGL/Color.h"

/////////////////////////////////////////////////////////////////////////////
// CGLColorButton ウィンドウ

class CGLColorButton : public CButton
{
// コンストラクション
public:
	CGLColorButton();

// アトリビュート
public:
	COLORREF GetColor() const{ return m_clr;}
	void GetColor(MGColor& c) const;
	void SetColor(COLORREF clr){ m_clr = clr;}
	void SetColor(const MGColor& c);

// オペレーション
public:
	bool ChangeColor();
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CGLColorButton)
	//}}AFX_VIRTUAL

// インプリメンテーション
public:
	virtual ~CGLColorButton();

	// 生成されたメッセージ マップ関数
protected:
	//{{AFX_MSG(CGLColorButton)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

private:
	COLORREF m_clr;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_GLCOLORBUTTON_H__9F969679_E056_44D8_A4BA_CF6748F1F191__INCLUDED_)
